Get a carrier
curl --request GET \
--url https://canary.effectiveai.app/api/v2/carriers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://canary.effectiveai.app/api/v2/carriers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://canary.effectiveai.app/api/v2/carriers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "naic:38970",
"name": "<string>",
"group": {
"id": "<string>",
"name": "<string>"
},
"domicile": "<string>",
"status": "active",
"grossPremiumWritten": {
"year": 123,
"amount": 123
},
"cessionRatio": {
"year": 123,
"value": 123
},
"aliases": [
"<string>"
],
"groupMembers": [
{
"id": "<string>",
"name": "<string>"
}
],
"mgas": [
{
"mga": {
"id": "<string>",
"name": "<string>"
},
"role": "fronting",
"note": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}Carriers
Get a carrier
A carrier with its aliases, NAIC group members and the MGAs it backs. No query parameters. Responses are private, no-store.
GET
/
carriers
/
{id}
Get a carrier
Authorizations
Effective API key. Send Authorization: Bearer sk-eai-...
Path Parameters
naic:38970 or 38970.
Response
The carrier.
naic: plus the 5-digit NAIC company code.
Example:
"naic:38970"
NAIC group; id is group: plus the group code.
Show child attributes
Show child attributes
Two-letter state of domicile.
Available options:
active, inactive Latest NAIC statement, in dollars. Null without the NAIC dataset.
Show child attributes
Show child attributes
Premium ceded ÷ premium written (Page 14, line 35). Null without the NAIC dataset.
Show child attributes
Show child attributes
Other carriers in the same NAIC group.
Show child attributes
Show child attributes
Show child attributes
Show child attributes